%define debug_package %{nil}

Summary: DrakX binaries
Name: drakx-installer-binaries
Version: 2.59
Release: %mkrel 2
Source0: %{name}-%{version}.tar.xz
# NO PATCH ALLOWED
Patch0:	kmod-log.diff
Patch1:	http.diff
Patch2:	udevadm-settle.diff
License: GPL
Group: Development/Other
Url: https://wiki.mageia.org/en/Stage_One_install
BuildRequires: kernel
BuildRequires: ldetect-devel
BuildRequires: ldetect-lst
BuildRequires: ldetect-lst-devel
BuildRequires: pkgconfig(libkmod)
BuildRequires: pkgconfig(libpci)
BuildRequires: sysfsutils-devel
BuildRequires: pkgconfig(slang)
BuildRequires: pkgconfig(libnewt)
BuildRequires: pkgconfig(zlib)
BuildRequires: flex 
BuildRequires: byacc 

Requires: ldetect-lst
Requires: glibc

%description
binaries needed to build installer (DrakX)

%package probe
Summary: DrakX probe-modules tool
Group: Development/Other

%description probe
probe-modules tool needed to build livecd

%prep
%setup -q
%apply_patches

%build
make -C mdk-stage1

%install
rm -rf $RPM_BUILD_ROOT

cd mdk-stage1
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
install init stage1 rescue-gui dhcp-client probe-modules $dest
if [ -e pcmcia/pcmcia_probe.o ]; then
  install -m 644 pcmcia/pcmcia_probe.o $dest
fi

mkdir -p %buildroot/%{_bindir}
ln -sf %{_libdir}/%name/probe-modules %buildroot/%{_bindir}/probe-modules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%exclude %{_libdir}/%name/probe-modules
%{_libdir}/%name

%files probe
%defattr(-,root,root)
%{_bindir}/probe-modules
%{_libdir}/%name/probe-modules


%changelog
* Wed Jan 19 2022 yodelu - 2.59-2pclos2022
- fprintf instead of fputs >> rediff p0  

* Sat Jan 15 2022 tex - 2.59-1pclos2022
- new version

* Thu Jan 06 2022 tex - 2.58-1pclos2022
- new version

* Mon Dec 21 2021 tex - 2.56-2pclos2021
- hide useless no module list found
